import sys

from loguru import logger

from scii.tui.tuiapp import TuiApp

logger.catch


def main():
    logger.info("welcome to the SCI Interface")
    TuiApp().setup_logging("TRACE", True).run()


def setup_logging(level: str, use_colors: bool) -> None:
    """Setup logging.

    Args:
        level: The logging level.
        use_colors: Whether to use colors in the log output.

    """
    logger.remove()  # A fresh start
    _ = logger.add(
        sys.stderr,
        colorize=use_colors,
        format="{time:HH:mm:ss} <level>{level}</level> <fg #888>{file}:{line}:</fg #888> <bold>{message}</bold>",
        level=level,
    )
