from typing import override

from textual.app import ComposeResult
from textual.widgets import Button
from textual.widgets import Static


class PipelineWidget(Static):
    def __init__(self, id: str, start_time: str):
        """Construct a new PipelineWidget.

        Args:
            id: The pipeline unique identifier.
            start_time: The time that the pipeline started.

        """
        super().__init__()
        self._pipeline_id = id
        self._start_time = start_time

    @property
    def pipeline_id(self) -> str:
        """The id property."""
        return self._pipeline_id

    @override
    def compose(self) -> ComposeResult:
        """Create child widgets of a pipeline."""
        yield Button("Stop", id="stop", variant="error")
        # yield TimeDisplay("00:00:00.00")
